% File <output_erlang_Aks.m>
%
% Author: Falko Bause
% Date: June 2016   changed February 2018 (storage efficient representation of Ak)
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function [ ] = output_erlang_Aks( Ak, N, pivec)
% outputs Erlang Aks


for i=1:N
        if (Ak{i}(1,2) == 123456789)
            continue
        end
    fprintf('Component %d is Erlang with %d states and rate = %E , mean value is %E ; Component selected with probability %E\n',i,Ak{i}(1,2),Ak{i}(1,1),(1.0*Ak{i}(1,2)/Ak{i}(1,1)),pivec(i));
end



