% File <matrixoutputexpo.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%



function matrixoutputexpo(M)

% output a matrix M  in format %E

rows = size(M,1);
cols = size(M,2);

for i=1:rows
for j=1:cols
  fprintf('%E ',M(i,j)); 
end
fprintf('\n'); 
end

